dcl_settings : default_dcl_settings { audit_level = 1; }




///////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////
GKN_PLOT_COPYPAGESETUP : dialog {
	label = GekOnDcl_PLOT-31_GekOnDcl; //GekOn - Kopiuj Ustawienia Strony";

 	>>acpCommDclBlock[ACP_TITLEINFO]


	: spacer { height = 1; }

	: boxed_column {
		label = GekOnDcl_PLOT-32_GekOnDcl; //Wybierz Arkusz rdowy";

		: popup_list {
			fixed_width = true;
			key = "sourceLaytPopupLst";
			label = GekOnDcl_PLOT-33_GekOnDcl; //Arkusz:  ";
			height = 10;
			edit_width = 30;
		}//popup_list
		
	}//b_column

	>>acpCommDclBlock[ACP_COMM_LAYOUT_CHOOSE] { 
			[acpDclVar1=GekOnDcl_PLOT-34_GekOnDcl;] //Wybierz Arkusze do kopiowania ustawie 
	} 


	: column {
	
		>>acpCommDclBlock[ACP_ERRINFO]

		: row {
		//fixed_width = true;
		
			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-3_GekOnDcl; //RESET";
			   key = "reset";
			   width = 12;
			}//BTN

			>>acpCommDclBlock[ACP_SPACER] {
				[acpDclVarAUTOCAD1=14]
				[acpDclVarAUTOCAD221=14]
				[acpDclVarBRICSCAD1=14]
				[acpDclVarGSTARCAD1=14]
				[acpDclVarZWCAD1=14]
			}

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-1_GekOnDcl; //ZAMKNIJ";
			   key = "CANCEL";
			   is_cancel = true;
			   width = 12;
			}//BTN

			//: spacer { width = 2; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-6_GekOnDcl; //KOPIUJ";
			   key = "OK";
			   width = 12;
			   is_enabled = false;	  
			}//BTN	
		}//row
		
	}//column
}//dialog









///////////////////////////////////////////////////////////////////////////////////
// PDF
GKN_PLOTTOOLS_1 : dialog {
 label = GekOnDcl_PLOT-10_GekOnDcl; //GekOn - Narzdzia Drukowania";
 	
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 1; }
	
	: row {
	children_alignment = top;
	fixed_width = true;
		: column {
		width = 10;
		fixed_width = true;
		   : boxed_column {
		     label = GekOnDcl_PLOT-38_GekOnDcl; //Konfiguracja plotera";		   
		     children_alignment = left;		     
			: popup_list {
				fixed_width = true;
				key = "ploterPopupLst";
				label = GekOnDcl_PLOT-39_GekOnDcl; //Ploter:  ";
				height = 10;
				edit_width = 30;
			}//popup_list
		   }//b-collumn  

		   : boxed_column {
		   children_alignment = left;
			label = GekOnDcl_PLOT-40_GekOnDcl; //Dopasowanie papieru";

			: radio_column {
			  fixed_width = true;
			  key = "paperFitTrgRadLst";
				: radio_button {
					fixed_width = true;
					key = "paperFitIntoDwg";
					label = GekOnDcl_PLOT-41_GekOnDcl; //Dopasuj rozmiar PDF do obszaru wydruku.";
					mnemonic = "D";
				}//radio_button
				: radio_button {
					fixed_width = true;
					key = "dwgFitIntoStdPaper";
					label = GekOnDcl_PLOT-42_GekOnDcl; //Wpasuj wydruk w standardowy papier.";
					mnemonic = "W";
					value = "1";
				}//radio_button
			}//radio_col

			: popup_list {
				fixed_width = true;
				key = "paperPopupLst";
				label = GekOnDcl_PLOT-43_GekOnDcl; //Papier: ";
				height = 10;
				edit_width = 30;
			}//popup_list

		   }//b_column


		   : boxed_column {
		     label = GekOnDcl_PLOT-44_GekOnDcl; //Obszar wydruku";
			
			: radio_column {
			  key = "plotTypeTrgRadLst";
			  fixed_width = true;
				: radio_button {
					label = GekOnDcl_PLOT-45_GekOnDcl; //Drukuj Okna";
					key = "plotWindowRadBtn";
					mnemonic = "A";
				}//togglr
				: radio_button {
					label = GekOnDcl_PLOT-46_GekOnDcl; //Drukuj zakres wybranych Arkuszy";
					key = "plotLaytExtentRadBtn";
					mnemonic = "A";
					value = "1";
				}//togglr
				: radio_button {
					label = GekOnDcl_PLOT-47_GekOnDcl; //Drukuj obszary ograniczone Ramkami";
					key = "plotFrameRadBtn";
					mnemonic = "A";					
				}//togglr
			}// r_col

			: boxed_column {
			  label = GekOnDcl_PLOT-24_GekOnDcl; //Definiuj Ramki Wydruku";

				: row {
				  fixed_width = true;
				  fixed_height = true;
				//	: spacer { width = 1.2; }
					: image {
						key = "errLayNameImage" ;				
						height = 0.5 ;			
						width = 2 ;
						color = -15;
					}				
					: ACP_BUTTON {
					   label = ">";
					   key = "takeplotFrameLayNameBtn";
					   is_enabled = false;
					}//BTN
					: text {
						key = "plotFrameLayName";
						label = GekOnDcl_PLOT-25_GekOnDcl; //Warstwa: [BRAK]";
						width = 35;
					}//text

					
				}// row

			: radio_column {
			  key = "frameDefTrgRadLst";
			  fixed_width = true;
				: radio_button {
					label = GekOnDcl_PLOT-50_GekOnDcl; //Wszystkie Ramki w wybranych Arkuszach";
					key = "findFrameInExtentRadBtn";
					mnemonic = "A";
					value = "1";
					is_enabled = false;
				}//togglr
				: radio_button {
					label = GekOnDcl_PLOT-51_GekOnDcl; //Wska obszar z Ramkami";
					key = "findFrameInWindowRadBtn";
					mnemonic = "A";
					is_enabled = false;
				}//togglr
			}//r_col
				
			}//b_col

		   }// b_column  
		   


		   
		   
	   }//collumn

	   :column {	   

		   : boxed_column {
			label = GekOnDcl_PLOT-52_GekOnDcl; //Styl wydruku";

			:column {
				: toggle {
					label = GekOnDcl_PLOT-53_GekOnDcl; //W Arkuszach uyj styli do nich przypisanych";
					key = "useStyleOfGivenArkTgl";
					mnemonic = "Z";
				}//togglr
			
				: popup_list {
					fixed_width = true;
					key = "plotStylePopupLst";
					edit_width = 30;
					label = GekOnDcl_PLOT-54_GekOnDcl; //Styl:     ";
				}//popup_list
			}//column
		   }//b_column
	   
		     
			>>acpCommDclBlock[ACP_COMM_LAYOUT_CHOOSE] [acpDclVar1=GekOnDcl_PLOT-33a_GekOnDcl;] //Arkusze 


		   : row {
				: column {
				   : boxed_column {
					label = GekOnDcl_PLOT-55_GekOnDcl; //Ilo kopii";
					key = "ilePlotRec";

						: row {
						  fixed_width = true;
							   : text {
									label = GekOnDcl_PLOT-56_GekOnDcl; //Ile kopii:";
							   }//text

							: button {   
							   label = "<";
							   key = "numDown";
							   width = 1;
							}//BTN	
							   
							: edit_box {
								key = "ilePlotEditBox";
								value = "1";
								edit_width = 2;
								width = 2;
							}//edit box

							: button {   
							   label = ">";
							   key = "numUp";
							   width = 2;
							}//BTN	
							
						}//row	
				   }//b_column


					: boxed_column {
					label = GekOnDcl_PLOT-57_GekOnDcl; //czenie PDF";

						: radio_row {
						  //fixed_width = true;
						  key = "pdfJoinTrgRadLst";
							: radio_button {
								key = "joinPdfRabBtn";
								label = GekOnDcl_PLOT-27_GekOnDcl; //cz PDFy";
								mnemonic = "D";
							}//radio_button
							: radio_button {
								key = "noJoinPdfRabBtn";
								label = GekOnDcl_PLOT-28_GekOnDcl; //Nie cz PDFw";
								mnemonic = "W";
								value = "1";								
							}//radio_button
						}//radio_row
					}//b_column	
				   
				}//col   

			   : boxed_column {
				label = GekOnDcl_PLOT-58_GekOnDcl; //Margines PDF [mm]:";
				key = "marginValRec";
				fixed_width = true;
				  children_alignment = centered;
				  
				: edit_box {
					fixed_width = true;
					key = "UmarginValEditBox";						
					value = "0";
					edit_width = 2;
					width = 2;
				}//edit box
				
				: row {
					: spacer {width = 0.5;}
				
					: edit_box {
						fixed_width = true;
						key = "LmarginValEditBox";						
						value = "0";
						edit_width = 2;
						width = 2;
					}//edit box

					
					
					: edit_box {
						fixed_width = true;
						key = "RmarginValEditBox";						
						value = "0";
						edit_width = 2;
						width = 2;
					}//edit box

					: spacer {width = 0.5;}
				}//row
				
				: edit_box {
					fixed_width = true;
					key = "BmarginValEditBox";						
					value = "0";
					edit_width = 2;
					width = 2;
				}//edit box
				
			   }//b_column
			   
		   }//row
		   
	   }//column

	}// row GORNY


	: row {
	  fixed_width = true;
		: boxed_column {
		fixed_width = true;
		label = GekOnDcl_PLOT-29_GekOnDcl; //Folder zapisu PDF";
		key = "outPdfFldrColLbl";
			
			: text {
				key = "outPdfFldr";
				label = "";
				width = 64;
			}//text
		}// b_col

		>>acpCommDclBlock[ACP_DWGNAMEIDENTIFY] {
			[acpDclVarAUTOCAD1=40]
			[acpDclVarAUTOCAD221=26]
			[acpDclVarBRICSCAD1=31]
			[acpDclVarGSTARCAD1=31]
			[acpDclVarZWCAD1=31]
		}

	
	}//row
	

	
	: column {
		
		>>acpCommDclBlock[ACP_ERRINFO]

		: row {
		//fixed_width = true;
		
			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-3_GekOnDcl; //RESET";
			   key = "reset";
			   width = 12;
			}//BTN

			>>acpCommDclBlock[ACP_SPACER] {
				[acpDclVarAUTOCAD1=75]
				[acpDclVarAUTOCAD221=60]
				[acpDclVarBRICSCAD1=72]
				[acpDclVarGSTARCAD1=72]
				[acpDclVarZWCAD1=72]
			}
			
			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-1_GekOnDcl; //ZAMKNIJ";
			   key = "CANCEL";
			   is_cancel = true;
			   width = 12;
			}//BTN
		
			//: spacer { width = 3; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-5_GekOnDcl; //DRUKUJ";
			   key = "OK";
			   width = 12;
			   is_enabled = false;	  
			}//BTN	
		}//row
	}//column
	
}//dialog




///////////////////////////////////////////////////////////////////////////////////
GKN_PLOTTOOLS_2 : dialog {
 label = GekOnDcl_PLOT-1_GekOnDcl; //"GekOn: Ustal nazw PDF"
 	
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 1; }
	

	
	: boxed_column {
	label = GekOnDcl_PLOT-2_GekOnDcl; //"Identyfikacja numeru rysunku";
	//fixed_width = true;
		
		: row {
		fixed_width = true;	


			: boxed_row {
			  label = GekOnDcl_PLOT-2a_GekOnDcl; //"OPIS+";
			  fixed_width = true;
			  
				: edit_box {
					key = "rysNumTxtPrefxTxt";
					fixed_width = true;
					value = "";
					edit_width = 9;
				}//edit box	
		  
			}//b_row 
		

			: boxed_column {
			  label = GekOnDcl_PLOT-2b_GekOnDcl; //"OPIS+";
			  width = 23;

				: button {   
					label = GekOnDcl_PLOT-3_GekOnDcl; //"Wska >";
					key = "getRysNumIdBtn";
					width = 8;
				}//BTN	
			  	
				: edit_box {
					fixed_width = true;
					label = GekOnDcl_PLOT-4_GekOnDcl; //"cznik:";
					key = "rysNumItmGlueTxt";						
					value = "_";
					edit_width = 1;
					width = 3;
				}//edit box
		  
			}//b_col 
			
	


			: boxed_row {
			  label = GekOnDcl_PLOT-2c_GekOnDcl; //"OPIS+";
			  fixed_width = true;
			  
				: edit_box {
					key = "rysNumTxtSufxTxt";
					fixed_width = true;
					value = "";
					edit_width = 9;
				}//edit box	
		  
			}//b_row 


		}//row


		: row {
		fixed_width = true;
		
			: column {
			
				: text {
					label = GekOnDcl_PLOT-61_GekOnDcl; //Numer:";
					fixed_width = true;
					width = 5;
				}//text
			
			}//col

			: column {
			
				: text {
					label = "- - -";
					key = "rysReadNumObjTxt";
					width = 40;
				}//text		

				: text {
					label = "- - -";
					key = "rysReadNumTxt";
					width = 40;
				}//text			
			
			}//col
			
		}//row


	}//b_column	


	
 
	>>acpCommDclBlock[ACP_DYNAMIC_SEARCH] {
		[acpDclVar1=GekOnDcl_PLOT-6_GekOnDcl;]// Dynamiczne wyszukieanie TEXT, MTEXT
	}

 
	: column {
	
		>>acpCommDclBlock[ACP_ERRINFO]
		
		: row {
		fixed_width = true;

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-3_GekOnDcl; //RESET";
			   key = "reset";
			   width = 12;
			}//BTN

			>>acpCommDclBlock[ACP_SPACER] {
				[acpDclVarAUTOCAD1=13]
				[acpDclVarAUTOCAD221=19]
				[acpDclVarBRICSCAD1=17]
				[acpDclVarGSTARCAD1=17]
				[acpDclVarZWCAD1=17]
			}
			
			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-1_GekOnDcl; // ZAMKNIJ";
			   key = "CANCEL";
			   is_cancel = true;
			   width = 12;
			}//BTN

			: spacer { width = 1; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-2_GekOnDcl; // ZATWIERD";
			   key = "OK";
			   width = 12;
			}//BTN	
		}//row
	}//column
}//dialog












///////////////////////////////////////////////////////////////////
GKN_BATCH_PLOT_1 : dialog {
	label = GekOnDcl_PLOT-10_GekOnDcl; // GekOn - Narzdzia drukowania";

 	>>acpCommDclBlock[ACP_TITLEINFO]

	
	: boxed_column {
	  fixed_width = true;
	  label = GekOnDcl_PLOT-11_GekOnDcl; // Lista plikw do druku: ";
		
		: list_box {
				key = "plkToPlotLstBox";
				multiple_select = true;
				height = 15;
				width = 88;
		}//list_box	

		: row {
			: column {

				: text {
					key = "ileFileToPlotTxt";
					label = GekOnDcl_PLOT-12_GekOnDcl; // Plikw do druku: [BRAK]";			
				}//text

				: boxed_column {
				  label = GekOnDcl_PLOT-13_GekOnDcl; // Dodaj ";
		       		  
					: row {
					
						: edit_box {
							fixed_width = true;
							key = "dwgPathEditBox";						
							value = "";
							edit_width = 30;

						}//edit box		

						: ACP_BUTTON {   
						   label = GekOnDcl_PLOT-15a_GekOnDcl; // CZYTAJ
						   key = "pickDwgPathBtn";
						   width = 12;
						}//BTN	

 					}//row 
					  
					: row {  
						: ACP_BUTTON {
						   label = GekOnDcl_PLOT-14_GekOnDcl; // PLIK";
						   key = "addPlkToPlotLst";
						   width = 12;
						}//BTN
						
						: ACP_BUTTON {
						   label = GekOnDcl_PLOT-15_GekOnDcl; // FOLDER";
						   key = "addFldrToPlotLst";
						   width = 12;
						}//BTN

						: ACP_BUTTON {
						   label = GekOnDcl_PLOT-16_GekOnDcl; // PODFOLDERY";
						   key = "getSubFldrBtn";
						   width = 12;
						   is_enabled = false;
						}//BTN
					}//row
					
				}//b_col

			}//column

			
			: column {
		
				: text {
					key = "ileFilePickedTxt";
					label = GekOnDcl_PLOT-17_GekOnDcl; // Zaznaczono: [BRAK]";
				}//text

		       		: boxed_row {
		       		  label = GekOnDcl_PLOT-18_GekOnDcl; // Usu ";
		       		  
					: ACP_BUTTON {
					   label = GekOnDcl_PLOT-19_GekOnDcl; // WYBRANY";
					   key = "delPlkFromPlotLst";
					   width = 12;
					   is_enabled = false;
					}//BTN
					
					: ACP_BUTTON {
					   label = GekOnDcl_PLOT-20_GekOnDcl; // CAO";
					   key = "delAllPlkFromPlotLst";
					   width = 12;
					   is_enabled = false;
					}//BTN

				}//b_row
			
			}//column
		
		}//row
	
	}// b_col

	: row {
	  fixed_width = true;
	  children_alignment = top;
	
		: boxed_column {
		  label = GekOnDcl_PLOT-21_GekOnDcl; // Obszar wydruku";

			: radio_column {
			  fixed_width = true;

				: radio_button {
					label = GekOnDcl_PLOT-22_GekOnDcl; // Drukuj zakres wszystkich Arkuszy";
					key = "plotLaytExtentRadBtn";
					mnemonic = "A";
					value = "1";
				}//togglr
				
				: radio_button {
					label = GekOnDcl_PLOT-23_GekOnDcl; // Drukuj Ramki Wydruku na Arkuszach";
					key = "plotFrameRadBtn";
					mnemonic = "A";					
				}//togglr
			}// r_col

			: boxed_column {
			  label = GekOnDcl_PLOT-24_GekOnDcl; // Definiuj Ramki Wydruku";

				: row {
				  fixed_width = true;
				  fixed_height = true;
				//	: spacer { width = 1.2; }
					: image {
						key = "errLayNameImage" ;				
						height = 0.5 ;			
						width = 2 ;
						color = -15;
					}				
					: ACP_BUTTON {
					   label = ">";
					   key = "takeplotFrameLayNameBtn";
					   is_enabled = false;
					}//BTN
					: text {
						key = "plotFrameLayName";
						label = GekOnDcl_PLOT-25_GekOnDcl; // Warstwa: [BRAK]";
						width = 30;
					}//text

					
				}// row
				
			}//b_col

		}// b_column

		
		: column {
			: boxed_radio_column {
			  //fixed_height = true;
			  key = "pdfJoinTrgRadLst";
			  label = GekOnDcl_PLOT-26_GekOnDcl; // czenie PDF dla danego rysunku";
			  
				: radio_button {
					key = "joinPdfRabBtn";
					label = GekOnDcl_PLOT-27_GekOnDcl; // cz PDFy";
					mnemonic = "D";					
				}//radio_button
				
				: radio_button {
					key = "noJoinPdfRabBtn";
					label = GekOnDcl_PLOT-28_GekOnDcl; // Nie cz PDFw";
					mnemonic = "W";
					value = "1";
				}//radio_button
			
			}//b_radio_col
			
			>>acpCommDclBlock[ACP_DWGNAMEIDENTIFY] {
				[acpDclVarAUTOCAD1=31]
				[acpDclVarAUTOCAD221=35]
				[acpDclVarBRICSCAD1=30]
				[acpDclVarGSTARCAD1=31]
				[acpDclVarZWCAD1=31]
			}
		
			
		}//col	
		
	}//row
	

	: boxed_column {
	  fixed_width = true;
		label = GekOnDcl_PLOT-29_GekOnDcl; // Folder zapisu PDF";
		: text {
			key = "outPdfFldrTxt";
			label = "";
			width = 88;
		}//text

		: toggle {
			label = GekOnDcl_PLOT-30_GekOnDcl; // dodaj struktur katalogw zrdowych";
			key = "putPdfFldrTreeTgl";
		}//togglr
					
	}// b_col


// linie dolne, koncowe
	: column {
	
		>>acpCommDclBlock[ACP_ERRINFO]

		: row {
		fixed_width = true;
			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-3_GekOnDcl; // RESET";
			   key = "reset";
			   width = 15;
			}//BTN

			: spacer { width = 3; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-1_GekOnDcl; // ZAMKNIJ";
			   key = "CANCEL";
			   width = 15;
			   is_cancel = true;
			}//BTN

			: spacer { width = 20; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-4_GekOnDcl; // ZAPISZ";
			   key = "SAVE";
			   width = 15;
			   is_enabled = false;	  
			}//BTN
			
			: spacer { width = 3; }

			: ACP_BUTTON {   
			   label = GekOnDcl_COMMPLOT-5_GekOnDcl; // DRUKUJ";
			   key = "OK";
			   width = 15;
			   is_enabled = false;	  
			}//BTN	
		}//row
	}//column

	
}//dialog



