dcl_settings : default_dcl_settings { audit_level = 3; }

///////////////////////////////////////////////////////////
GEKONAuthDCLlvl1 : dialog {
	fixed_width = true;
	width = 80;
//	height = 30;

	label = ACPcomDcl_AUTH-1_ACPcomDcl; //GekOn - aktywacja. Krok 1 z 3";
	fixed_height = true;


	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 1; }


	: row {
	fixed_width = true;
	fixed_height = true;
	
		: spacer { width = 1; }

		: column {
		  fixed_height = true;
			: text {
				value = ACPcomDcl_AUTH-2_ACPcomDcl; //Autoryzacja AidCAD przebiega w trzech etapach:";
				width = 50;
			}//text

			: row {
			children_alignment = top;
			fixed_width = true;
			fixed_height = true;
				: image {
					fixed_height = true;
					key = "pt2" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
				  fixed_height = true;
					: text {
						value = ACPcomDcl_AUTH-3_ACPcomDcl; //Etap 1. Zakup Licencji.";
						width = 20;
					}//text	

					: text {
						value = ACPcomDcl_AUTH-4_ACPcomDcl; //Wejd na stron www.gekoncad.pl i zarejestruj si. Wybierz interesujcy Ci pakiet GekOn";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-5_ACPcomDcl; // i dokonaj patnoci.";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-6_ACPcomDcl; //Po zaksigowaniu wpaty otrzymasz e-mail z potwierdzeniem.";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-7_ACPcomDcl; //Wtedy przejd do Etapu 2.";
						width = 75;
					}//text
					
				
				}//column
			

			}//row

			: spacer { height = 1; }			
		
			: row {
			children_alignment = top;
			fixed_width = true;
			
				: image {
					fixed_height = true;
					key = "pt1" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
				  fixed_height = true;
					: text {
						value = ACPcomDcl_AUTH-8_ACPcomDcl; //Etap 2. Generuj Plik Autoryzacyjny.";
						width = 10;
					}//text	

					: text {
						value = ACPcomDcl_AUTH-9_ACPcomDcl; //Uruchom GEKONAUTHORIZE (czyli to polecenie) i wybierz opcj 'Generuj Plik Autoryzacyjny'.";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-10_ACPcomDcl; //Zaloguj si na www.gekoncad.pl i pobierz licencj ";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-11_ACPcomDcl; //(uwaga - konieczne bdzie wczytanie Pliku Autoryzacyjnego).";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-12_ACPcomDcl; //Nastpnie przejd do Etapu 3.";
						width = 75;
					}
					
				}//column
			

			}//row

			: spacer { height = 1; }
			
			: row {
			children_alignment = top;
			fixed_width = true;
			
				: image {
					fixed_height = true;
					key = "pt3" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
					: text {
						label = ACPcomDcl_AUTH-13_ACPcomDcl; //Etap 3. Wczytanie Licencji i Aktywacja GekOn.";
					}//text	

					: text {
						value = ACPcomDcl_AUTH-14_ACPcomDcl; //Uruchom GEKONAUTHORIZE (czyli to polecenie) i wybierz opcj 'Aktywuj Licencj GekOn' ";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-15_ACPcomDcl; //i ostatecznie aktywuj produkt.";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-16_ACPcomDcl; //To koczy proces Autoryzacji.";
						width = 75;
					}

					
				}//column
			

			}//row
		}//column
	}//row

	: spacer { height = 1; }

	: text {
		value = ACPcomDcl_AUTH-17_ACPcomDcl; //Kliknij DALEJ, eby wybra kolejne opcje.";
		width = 55;
	}	


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	  fixed_width = true;  
	  fixed_height = true;
	  children_alignment = top;
	  width = 80;
	  
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 52; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-2_ACPcomDcl; //DALEJ;
		   key = "OK1";
		   width = 12;
		   is_default = true;
		}//BTN
		

	}//row

}//dialog



///////////////////////////////////////////////////////////
GEKONAuthDCLlvl2 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	fixed_height = true;
	label = ACPcomDcl_AUTH-18_ACPcomDcl; //GekOn - aktywacja. Krok 2 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 6; }


	: row {
	fixed_width = true;
	  fixed_height = true;
		: spacer { width = 2; }

		: column {
		  fixed_height = true;
		  height = 3;
			: text {
				value = ACPcomDcl_AUTH-19_ACPcomDcl; //Wybierz opcj, co teraz chcesz zrobi:";
				width = 35;
			}//text

			: radio_column {
			  fixed_height = true;
			  
			  key = "licChoseActionRb";
				: radio_button {
					label = ACPcomDcl_AUTH-20_ACPcomDcl; //Etap 2. Generuj Plik Autoryzacyjny.";
					key = "licFillDataTrg";
					value = "1"; 
				}//togglr       

				: radio_button {
					label = ACPcomDcl_AUTH-21_ACPcomDcl; //Etap 3. Aktywuj Licencj GekOn.";
					key = "licLoadLicFile";
				}//togglr       
			}//radio_col

			: spacer { height = 1; }

		}//column
	}//row

	: spacer { height = 11; }
		
	: text {
		value = ACPcomDcl_AUTH-17_ACPcomDcl; //Kliknij DALEJ, eby wybra kolejne opcje.";
		width = 35;
		height = 1;
	}	


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	fixed_width = true;
	fixed_height = true;
	width = 80;

		: spacer { width = 1; }
		
		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 40; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn2";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-2_ACPcomDcl; //DALEJ;
		   key = "OK2";
		   width = 12;
		   is_default = true;
		}//BTN

	}//row	

}//dialog



///////////////////////////////////////////////////////////
GEKONAuthDCLlvl3 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	fixed_height = true;
	label = ACPcomDcl_AUTH-22_ACPcomDcl; //GekOn - aktywacja. Krok 3 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 6; }


	: text {
		value = ACPcomDcl_AUTH-23_ACPcomDcl; //Wprowad Dane Autoryzacyjne i kliknij GENERUJ";
		width = 50;
	}//text
	


	: row {
	fixed_width = true;  
		: spacer { width = 2; }
	
		: column {
		  fixed_height = true;
			:row {
			fixed_width = true;
				: text {
					width = 2;
					value = "* ";
				}//text				
				: text {
					width = 16;
					value = ACPcomDcl_AUTH-24_ACPcomDcl; //Imi i Nazwisko:";
				}//text
				: edit_box {
					key = "licUserNaz";
					value = "";
					width = 42;
				}//edit box
			}//row

			:row {
			fixed_width = true;
				: text {
					width = 2;
					value = "  ";
				}//text
				: text {
					width = 16;
					value = ACPcomDcl_AUTH-25_ACPcomDcl; //Nazwa Firmy:";
				}//text
				: edit_box {
					key = "licFirmaNaz";
					value = "";
					width = 42;
				}//edit box
			}//row


		}// column
	}//row	   
   

	: spacer { height = 11; }

	: text {
		label = ACPcomDcl_AUTH-26_ACPcomDcl; //Kliknij Generuj, eby zakoczy Krok 2.";
	}	

// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	fixed_width = true;
	width = 80;
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-4_ACPcomDcl; //RESET";
		   key = "reset3";
		   width = 12;
		}//BTN
		
		: spacer { width = 20; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn3";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-5_ACPcomDcl; //GENERUJ;
		   key = "OK3";
		   width = 12;
		   is_default = true;
		}//BTN


	}//row	

}//dialog



///////////////////////////////////////////////////////////
GEKONAuthDCLlvl4 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	
	label = ACPcomDcl_AUTH-22_ACPcomDcl; //GekOn - aktywacja. Krok 3 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 2; }


	: text {
		label = ACPcomDcl_AUTH-27_ACPcomDcl; //Wska Plik LICENCJI, wczytaj go i aktywuj oprogramowanie";
	}//text
	


	: row {
	fixed_width = true;
	fixed_height = true;
		: spacer { width = 2; }
	
		: column {
		fixed_height = true;  		     

			: ACP_BUTTON {
				label = ACPcomDcl_AUTH-28_ACPcomDcl; //WSKA PLIK";
				key = "btnChoseLicFile";
				is_default = true;
			}
	
			: boxed_row {
			label = ACPcomDcl_AUTH-29_ACPcomDcl; //Wybrany plik";
			height = 1;
			fixed_height = true;

				: text {
					value = "...";
					key = "licFilePathLbl";
					width = 70;
				}//text
			
			}//b_column

			: boxed_column {
			fixed_height = true;
			label = ACPcomDcl_AUTH-30_ACPcomDcl; //Parametry Licencji:";
			
				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-31_ACPcomDcl; //NUMER LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licNumLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-32_ACPcomDcl; //MODU AidCAD:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "aidModuleNameLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-33_ACPcomDcl; //WERSJA BAZOWA:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "aidModuleBaseVerLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-34_ACPcomDcl; //TYP LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licTypLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-35_ACPcomDcl; //RODZAJ LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licRodzajLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-36_ACPcomDcl; //NAZWA FIRMY:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "firmaNazLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-37_ACPcomDcl; //UYTKOWNIK:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "userNazLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-38_ACPcomDcl; //DATA WANOCI LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licTimeLbl";
						width = 45 ;
					}//text		
				}//row
				
			}//b_column
		}//collumn
	}//row

	: spacer { height = 3; }


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO_2LINES]
	
	: row {
	fixed_width = true;
	fixed_height = true;
	width = 80;
	
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-4_ACPcomDcl; //RESET";
		   key = "reset4";
		   width = 12;
		}//BTN
			
		: spacer { width = 6; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn4";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-6_ACPcomDcl; //AKTYWUJ LICENCJ;
		   key = "OK4";
		   width = 20;
		   is_enabled = false;	
		}//BTN

	}//row	

}//dialog

























///////////////////////////////////////////////////////////
OLDWARANAuthDCLlvl1 : dialog {
	fixed_width = true;
	width = 80;
//	height = 30;

	label = ACPcomDcl_AUTH-1a_ACPcomDcl; //GekOn - aktywacja. Krok 1 z 3";
	fixed_height = true;


	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 1; }


	: row {
	fixed_width = true;
	fixed_height = true;
	
		: spacer { width = 1; }

		: column {
		  fixed_height = true;
			: text {
				value = ACPcomDcl_AUTH-2a_ACPcomDcl; //Autoryzacja AidCAD przebiega w trzech etapach:";
				width = 50;
			}//text

			: row {
			children_alignment = top;
			fixed_width = true;
			fixed_height = true;
				: image {
					fixed_height = true;
					key = "pt2" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
				  fixed_height = true;
					: text {
						value = ACPcomDcl_AUTH-3_ACPcomDcl; //Etap 1. Zakup Licencji.";
						width = 20;
					}//text	

					: text {
						value = ACPcomDcl_AUTH-4a_ACPcomDcl; //Wejd na stron www.gekoncad.pl i zarejestruj si. Wybierz interesujcy Ci pakiet GekOn";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-5a_ACPcomDcl; // i dokonaj patnoci.";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-6_ACPcomDcl; //Po zaksigowaniu wpaty otrzymasz e-mail z potwierdzeniem.";
						width = 75;
					}//text

					: text {
						value = ACPcomDcl_AUTH-7_ACPcomDcl; //Wtedy przejd do Etapu 2.";
						width = 75;
					}//text
					
				
				}//column
			

			}//row

			: spacer { height = 1; }			
		
			: row {
			children_alignment = top;
			fixed_width = true;
			
				: image {
					fixed_height = true;
					key = "pt1" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
				  fixed_height = true;
					: text {
						value = ACPcomDcl_AUTH-8_ACPcomDcl; //Etap 2. Generuj Plik Autoryzacyjny.";
						width = 10;
					}//text	

					: text {
						value = ACPcomDcl_AUTH-9a_ACPcomDcl; //Uruchom GEKONAUTHORIZE (czyli to polecenie) i wybierz opcj 'Generuj Plik Autoryzacyjny'.";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-10a_ACPcomDcl; //Zaloguj si na www.gekoncad.pl i pobierz licencj ";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-11_ACPcomDcl; //(uwaga - konieczne bdzie wczytanie Pliku Autoryzacyjnego).";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-12_ACPcomDcl; //Nastpnie przejd do Etapu 3.";
						width = 75;
					}
					
				}//column
			

			}//row

			: spacer { height = 1; }
			
			: row {
			children_alignment = top;
			fixed_width = true;
			
				: image {
					fixed_height = true;
					key = "pt3" ;				
					height = 1.0 ;			
					width = 1.0 ;
					color = black;
				}
				
				: column {
					: text {
						label = ACPcomDcl_AUTH-13a_ACPcomDcl; //Etap 3. Wczytanie Licencji i Aktywacja GekOn.";
					}//text	

					: text {
						value = ACPcomDcl_AUTH-14a_ACPcomDcl; //Uruchom GEKONAUTHORIZE (czyli to polecenie) i wybierz opcj 'Aktywuj Licencj GekOn' ";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-15_ACPcomDcl; //i ostatecznie aktywuj produkt.";
						width = 75;
					}
					

					: text {
						value = ACPcomDcl_AUTH-16_ACPcomDcl; //To koczy proces Autoryzacji.";
						width = 75;
					}

					
				}//column
			

			}//row
		}//column
	}//row

	: spacer { height = 1; }

	: text {
		value = ACPcomDcl_AUTH-17_ACPcomDcl; //Kliknij DALEJ, eby wybra kolejne opcje.";
		width = 55;
	}	


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	  fixed_width = true;  
	  fixed_height = true;
	  children_alignment = top;
	  width = 80;
	  
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 52; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-2_ACPcomDcl; //DALEJ;
		   key = "OK1";
		   width = 12;
		   is_default = true;
		}//BTN
		

	}//row

}//dialog



///////////////////////////////////////////////////////////
OLDWARANAuthDCLlvl2 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	fixed_height = true;
	label = ACPcomDcl_AUTH-18a_ACPcomDcl; //GekOn - aktywacja. Krok 2 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 6; }


	: row {
	fixed_width = true;
	  fixed_height = true;
		: spacer { width = 2; }

		: column {
		  fixed_height = true;
		  height = 3;
			: text {
				value = ACPcomDcl_AUTH-19_ACPcomDcl; //Wybierz opcj, co teraz chcesz zrobi:";
				width = 35;
			}//text

			: radio_column {
			  fixed_height = true;
			  
			  key = "licChoseActionRb";
				: radio_button {
					label = ACPcomDcl_AUTH-20_ACPcomDcl; //Etap 2. Generuj Plik Autoryzacyjny.";
					key = "licFillDataTrg";
					value = "1"; 
				}//togglr       

				: radio_button {
					label = ACPcomDcl_AUTH-21a_ACPcomDcl; //Etap 3. Aktywuj Licencj GekOn.";
					key = "licLoadLicFile";
				}//togglr       
			}//radio_col

			: spacer { height = 1; }

		}//column
	}//row

	: spacer { height = 11; }
		
	: text {
		value = ACPcomDcl_AUTH-17_ACPcomDcl; //Kliknij DALEJ, eby wybra kolejne opcje.";
		width = 35;
		height = 1;
	}	


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	fixed_width = true;
	fixed_height = true;
	width = 80;

		: spacer { width = 1; }
		
		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 40; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn2";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-2_ACPcomDcl; //DALEJ;
		   key = "OK2";
		   width = 12;
		   is_default = true;
		}//BTN

	}//row	

}//dialog



///////////////////////////////////////////////////////////
OLDWARANAuthDCLlvl3 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	fixed_height = true;
	label = ACPcomDcl_AUTH-22a_ACPcomDcl; //GekOn - aktywacja. Krok 3 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 6; }


	: text {
		value = ACPcomDcl_AUTH-23_ACPcomDcl; //Wprowad Dane Autoryzacyjne i kliknij GENERUJ";
		width = 50;
	}//text
	


	: row {
	fixed_width = true;  
		: spacer { width = 2; }
	
		: column {
		  fixed_height = true;
			:row {
			fixed_width = true;
				: text {
					width = 2;
					value = "* ";
				}//text				
				: text {
					width = 16;
					value = ACPcomDcl_AUTH-24_ACPcomDcl; //Imi i Nazwisko:";
				}//text
				: edit_box {
					key = "licUserNaz";
					value = "";
					width = 42;
				}//edit box
			}//row

			:row {
			fixed_width = true;
				: text {
					width = 2;
					value = "  ";
				}//text
				: text {
					width = 16;
					value = ACPcomDcl_AUTH-25_ACPcomDcl; //Nazwa Firmy:";
				}//text
				: edit_box {
					key = "licFirmaNaz";
					value = "";
					width = 42;
				}//edit box
			}//row


		}// column
	}//row	   
   

	: spacer { height = 11; }

	: text {
		label = ACPcomDcl_AUTH-26_ACPcomDcl; //Kliknij Generuj, eby zakoczy Krok 2.";
	}	

// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	fixed_width = true;
	width = 80;
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-4_ACPcomDcl; //RESET";
		   key = "reset3";
		   width = 12;
		}//BTN
		
		: spacer { width = 20; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn3";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-5_ACPcomDcl; //GENERUJ;
		   key = "OK3";
		   width = 12;
		   is_default = true;
		}//BTN


	}//row	

}//dialog



///////////////////////////////////////////////////////////
OLDWARANAuthDCLlvl4 : dialog {
	fixed_width = true;
	width = 80;
//	height = 34;
	
	label = ACPcomDcl_AUTH-22a_ACPcomDcl; //GekOn - aktywacja. Krok 3 z 3";

	  
	>>acpCommDclBlock[ACP_TITLEINFO]

	: spacer { height = 2; }


	: text {
		label = ACPcomDcl_AUTH-27_ACPcomDcl; //Wska Plik LICENCJI, wczytaj go i aktywuj oprogramowanie";
	}//text
	


	: row {
	fixed_width = true;
	fixed_height = true;
		: spacer { width = 2; }
	
		: column {
		fixed_height = true;  		     

			: ACP_BUTTON {
				label = ACPcomDcl_AUTH-28_ACPcomDcl; //WSKA PLIK";
				key = "btnChoseLicFile";
				is_default = true;
			}
	
			: boxed_row {
			label = ACPcomDcl_AUTH-29_ACPcomDcl; //Wybrany plik";
			height = 1;
			fixed_height = true;

				: text {
					value = "...";
					key = "licFilePathLbl";
					width = 70;
				}//text
			
			}//b_column

			: boxed_column {
			fixed_height = true;
			label = ACPcomDcl_AUTH-30_ACPcomDcl; //Parametry Licencji:";
			
				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-31_ACPcomDcl; //NUMER LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licNumLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-32_ACPcomDcl; //MODU AidCAD:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "aidModuleNameLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-33_ACPcomDcl; //WERSJA BAZOWA:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "aidModuleBaseVerLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-34_ACPcomDcl; //TYP LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licTypLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-35_ACPcomDcl; //RODZAJ LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licRodzajLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-36_ACPcomDcl; //NAZWA FIRMY:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "firmaNazLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-37_ACPcomDcl; //UYTKOWNIK:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "userNazLbl";
						width = 45 ;
					}//text		
				}//row

				: row {
				fixed_width = true;
				fixed_height = true;
				height = 1;
					: text {
						value = ACPcomDcl_AUTH-38_ACPcomDcl; //DATA WANOCI LICENCJI:";
						width = 25 ;
					}//text
					: text {
						value = "----";
						key = "licTimeLbl";
						width = 45 ;
					}//text		
				}//row
				
			}//b_column
		}//collumn
	}//row

	: spacer { height = 3; }


// dolna linia Okienka

	>>acpCommDclBlock[ACP_ERRINFO]
	
	: row {
	fixed_width = true;
	fixed_height = true;
	width = 80;
	
		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-1_ACPcomDcl; //ZAMKNIJ";
		   key = "CANCEL";
		   is_cancel = true;
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-4_ACPcomDcl; //RESET";
		   key = "reset4";
		   width = 12;
		}//BTN
			
		: spacer { width = 6; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-3_ACPcomDcl; //COFAJ;
		   key = "prevBtn4";
		   width = 12;
		}//BTN

		: spacer { width = 1; }

		: ACP_BUTTON {   
		   label = ACPcomDcl_COMM-6_ACPcomDcl; //AKTYWUJ LICENCJ;
		   key = "OK4";
		   width = 20;
		   is_enabled = false;	
		}//BTN

	}//row	

}//dialog
